Imports Microsoft.VisualBasic
Imports System
Imports System.Windows
Imports System.Windows.Documents
Imports System.Windows.Data

Namespace FlowDocumentApp.FlowDocuments
	Public Class BindableRun
		Inherits Run
        Public Shared ReadOnly BoundTextProperty As DependencyProperty = DependencyProperty.Register("BoundText", GetType(String), GetType(BindableRun), New PropertyMetadata(AddressOf OnBoundTextChanged))

		Public Sub New()
			Helpers.FixupDataContext(Me)
		End Sub

		Private Shared Sub OnBoundTextChanged(ByVal d As DependencyObject, ByVal e As DependencyPropertyChangedEventArgs)
			CType(d, Run).Text = CStr(e.NewValue)
		End Sub

		Public Property BoundText() As String
			Get
				Return CStr(GetValue(BoundTextProperty))
			End Get
			Set(ByVal value As String)
				SetValue(BoundTextProperty, value)
			End Set
		End Property
	End Class
End Namespace
